Subject: Poor Man's TeX fonts

From: [email-masked]
Date: Fri, 3 May 91 17:02:58 MDT

Greetings everyone.  I have generated both the Simplified and
Traditional GB fonts for Thomas Ridgeway's "Poor Man's TeX" and made
them available by anonymous ftp.  These fonts were generated for
300dpi printers.

I have also modified the macro files so that Simplified and
Traditional can be mixed together.

A utility to convert X11 BDF fonts into a series of TeX fonts has been
included in the code.  This utility is specifically for generating
Chinese, Japanese, and Korean fonts for PMT from X11 BDF fonts.  There
is also a utility provided to generate TeX fonts from CCLIB format
fonts.

With the BDF utility, you can generate Big5 TeX fonts from the
HKU-Ch16 font as well.  By Monday, I'll have the macro file for Big5
text ready.  I won't be generating the Big5 fonts for TeX because I am
running out of disk space :-) It's easy enough to do this with the
included utility.

The quality of the fonts is not great, but the output text is quite
readable.  The quality of the Traditional fonts is a little lower than
the Simplified, because the only freely available clean Traditional
fonts are the 16x16 fonts.

The PMT system requires TeX 3.0 or TeX 3.1.  If you have TeX 3.0, a
small patch will need to be applied to the TeX 3.0 source to allow it
to read 8-bit characters.  This patch is included in the main README
file.  The MetaFont program will also be required to compile newly
generated fonts into a usable form.

The basic PMT system is available as:
crl.nmsu.edu:pub/misc/pm-tex.tar.Z  [128.123.1.14]

The Chinese fonts are available as:
crl.nmsu.edu:pub/chinese/fonts/pmt-tfm/*  [128.123.1.14]
crl.nmsu.edu:pub/chinese/fonts/pmt-300pk/*  [128.123.1.14]

Both the Simplified and Traditional TeX font files are in these
directories.  The Simplified font file names have "wccs" as the first
4 characters of the file name, and the Tradtional has "wcct" as the
first 4 characters of the file name.

Each 300pk font set takes up about 2Meg of disk space.

For DOS users, Francois Jalbert has released a new version of jemtex.
I haven't looked at his system yet, but it is similar to PMT.  Jemtex
was designed for Japanese, but should be easily adaptable for GB
Chinese as well.  You can get jemtex as:
utsun.s.u-tokyo.ac.jp:TeX/jemtex2.zip [133.11.11.11]

For Mac users, as long as OzTeX (or any other TeX for Macs) can handle
8-bit characters, the PMT system should be easy to use.  I haven't
tried this yet, because I don't really have access to a Mac, but if
someone gets this working, or if I'm totally wrong about this, I'd
love to hear about it :-)

Since the new documentation for PMT is not quite ready, please send me
email if you have trouble installing or running the system.
-----------------------------------------------------------------------------
[email-masked]                      "I laughed.
Mark Leisher                                I cried.
Computing Research Lab                          I fell down.
New Mexico State University                        It changed my life."
Las Cruces, NM                     - Rich [Cowboy Feng's Space Bar and Grille]